
stations: 
  - Amanzimtoti (n9149572100)
  - Avoca (n9172212429)
  - Bayview (n9149832591)
  - Bellair (n9143909955)
  - Berea Road (n7051410154)
  - Briardene (n9172212426)
  - Burlington (n348976369)
  - Canelands (n9150019461)
  - Cato Ridge (n348970896)
  - Cavendish (n1579689868)
  - Charlottedale (n9150019456)
  - Chatsglen (n9149832589)
  - Clairwood (n9146778834)
  - Clansthal (n9149572091)
  - Cliffdale (n1579812273)
  - Compensation (n9150019460)
  - Congella (n9144076889)
  - Crossmoor (n9149832588)
  - Dalbridge (n9144108254)
  - Dassenhoek (n1579689809)
  - Delville Wood (n7968406123)
  - Doonside (n9149572099)
  - Duff's Road (n9149675759)
  - Durban (n348954984)
  - Effingham (n9149675758)
  - Escombe (n9143835214)
  - Flamingo Heights (n7051410147)
  - Fraser (n9172212431)
  - Fynnlands (n9146542839)
  - Georgedale (n1609384017)
  - Gledhow (n9150019455)
  - Glen Park (n9143835096)
  - Greenwood Park (n9172212427)
  - Groutville (n9150019457)
  - Hammarsdale (n348970318)
  - Havenside (n9149832592)
  - Hillary (n9143898637)
  - Ilfracombe (n9149572093)
  - Illovo Beach (n9149572096)
  - Isipingo (n9149572103)
  - Island View (n9146542840)
  - Jacobs (n9146542832)
  - Karridene (n9149572095)
  - Kelso (n9149572087)
  - Kenville (n9149675756)
  - King's Rest (n9174446182)
  - Klaarwater (n348976092)
  - Lindokuhle (n9146542825)
  - Malvern (n9143849073)
  - Mariannhill (n7306201559)
  - Merebank (n9146542831)
  - Montclair (n9146542830)
  - Moseley (n9143849039)
  - Moses Mabhida (n4330986570)
  - Mount Edgecombe (n1430377451)
  - Mount Vernon (n9149875996)
  - Northdene (n9143855822)
  - Nshongweni (n348969908)
  - Nyaninga (n1430377452)
  - Ottawa (n9150019463)
  - Pahla (n9149572101)
  - Park Rynie (n9149572088)
  - Pelgrim (n9149572104)
  - Phoenix (n7051410152)
  - Pinetown (n9143797289)
  - Poet's Corner (n9143895026)
  - Red Hill (n9172212428)
  - Renishaw (n9149572090)
  - Reunion (n9146542829)
  - Rossburgh (n9143920301)
  - Sarnia (n9143816044)
  - Scottburgh (n9149572089)
  - Sea View (n348975783)
  - Shakaskraal (n9150019459)
  - Shallcross (n348976230)
  - Situndu Hills (n348969548)
  - Stanger (n9150019454)
  - Tembalihle (n9149675761)
  - Temple (n9149675754)
  - Thornwood (n7306201556)
  - Tinley Manor (n9150019458)
  - Tongaat (n7051410144)
  - Tongaat Central (n7051410145)
  - Umbilo (n348972150)
  - Umbogintwini (n9149572102)
  - Umgababa (n9149572094)
  - Umgeni (n348981923)
  - Umhlali (n9172212432)
  - Umkomaas (n9149572092)
  - Umlazi (n7167108456)
  - Verulam (n348977551)
  - Warner Beach (n9149572098)
  - Wentworth (n9146542837)
  - Westcliff (n9149832590)
  - Wests (n348982134)
  - Winkelspruit (n9149572097)
  - Zwelethu (n9146542828)
  - kwaMashu (n9149675762)
  - kwaMnyandu (n9146542827)
  - kwaNdengezi (n348969728)
  - kwaTandaza (n348970544)

transfers: 

routes: 
  - 
    type: train
    ref: Crossmoor
    name: Crossmoor Line
    colour: '#f9cc3e'
    station_count: 14
    stations: 
      - Durban
      - Berea Road
      - Dalbridge
      - Congella
      - Umbilo
      - Rossburgh
      - Clairwood
      - Merebank
      - Havenside
      - Bayview
      - Westcliff
      - Chatsglen
      - Crossmoor
      - Montclair

    itineraries: 
      r1994534: 
        - Durban (n348954984)
        - Berea Road (n7051410154)
        - Dalbridge (n9144108254)
        - Congella (n9144076889)
        - Umbilo (n348972150)
        - Rossburgh (n9143920301)
        - Clairwood (n9146778834)
        - Merebank (n9146542831)
        - Havenside (n9149832592)
        - Bayview (n9149832591)
        - Westcliff (n9149832590)
        - Chatsglen (n9149832589)
        - Crossmoor (n9149832588)

      r10646662: 
        - Crossmoor (n9149832588)
        - Chatsglen (n9149832589)
        - Westcliff (n9149832590)
        - Havenside (n9149832592)
        - Merebank (n9146542831)
        - Montclair (n9146542830)
        - Clairwood (n9146778834)
        - Rossburgh (n9143920301)
        - Umbilo (n348972150)
        - Congella (n9144076889)
        - Dalbridge (n9144108254)
        - Berea Road (n7051410154)
        - Durban (n348954984)


  - 
    type: train
    ref: New Main
    name: New Main Line
    colour: '#00baf1'
    station_count: 23
    stations: 
      - Durban
      - Berea Road
      - Dalbridge
      - Congella
      - Umbilo
      - Rossburgh
      - Mount Vernon
      - Cavendish
      - Burlington
      - Shallcross
      - Klaarwater
      - Mariannhill
      - Thornwood
      - Situndu Hills
      - Dassenhoek
      - kwaNdengezi
      - Delville Wood
      - Nshongweni
      - Cliffdale
      - Hammarsdale
      - kwaTandaza
      - Georgedale
      - Cato Ridge

    itineraries: 
      r1994637: 
        - Durban (n348954984)
        - Berea Road (n7051410154)
        - Dalbridge (n9144108254)
        - Congella (n9144076889)
        - Umbilo (n348972150)
        - Rossburgh (n9143920301)
        - Mount Vernon (n9149875996)
        - Cavendish (n1579689868)
        - Burlington (n348976369)
        - Shallcross (n348976230)
        - Klaarwater (n348976092)
        - Mariannhill (n7306201559)
        - Thornwood (n7306201556)
        - Situndu Hills (n348969548)
        - Dassenhoek (n1579689809)
        - kwaNdengezi (n348969728)
        - Delville Wood (n7968406123)
        - Nshongweni (n348969908)
        - Cliffdale (n1579812273)
        - Hammarsdale (n348970318)
        - kwaTandaza (n348970544)
        - Georgedale (n1609384017)
        - Cato Ridge (n348970896)

      r10646665: 
        - Cato Ridge (n348970896)
        - Georgedale (n1609384017)
        - kwaTandaza (n348970544)
        - Hammarsdale (n348970318)
        - Cliffdale (n1579812273)
        - Nshongweni (n348969908)
        - Delville Wood (n7968406123)
        - kwaNdengezi (n348969728)
        - Dassenhoek (n1579689809)
        - Situndu Hills (n348969548)
        - Thornwood (n7306201556)
        - Mariannhill (n7306201559)
        - Klaarwater (n348976092)
        - Shallcross (n348976230)
        - Burlington (n348976369)
        - Cavendish (n1579689868)
        - Mount Vernon (n9149875996)
        - Rossburgh (n9143920301)
        - Umbilo (n348972150)
        - Congella (n9144076889)
        - Dalbridge (n9144108254)
        - Berea Road (n7051410154)
        - Durban (n348954984)


  - 
    type: train
    ref: North Coast
    name: North Coast Line
    colour: '#90268f'
    station_count: 26
    stations: 
      - Durban
      - Moses Mabhida
      - Umgeni
      - Briardene
      - Greenwood Park
      - Red Hill
      - Avoca
      - Duff's Road
      - Phoenix
      - Mount Edgecombe
      - Ottawa
      - Verulam
      - Canelands
      - Nyaninga
      - Flamingo Heights
      - Tongaat Central
      - Tongaat
      - Fraser
      - Compensation
      - Umhlali
      - Shakaskraal
      - Tinley Manor
      - Groutville
      - Charlottedale
      - Gledhow
      - Stanger

    itineraries: 
      r1994718: 
        - Durban (n348954984)
        - Moses Mabhida (n4330986570)
        - Umgeni (n348981923)
        - Briardene (n9172212426)
        - Greenwood Park (n9172212427)
        - Red Hill (n9172212428)
        - Avoca (n9172212429)
        - Duff's Road (n9149675759)
        - Phoenix (n7051410152)
        - Mount Edgecombe (n1430377451)
        - Ottawa (n9150019463)
        - Verulam (n348977551)
        - Canelands (n9150019461)
        - Nyaninga (n1430377452)
        - Flamingo Heights (n7051410147)
        - Tongaat Central (n7051410145)
        - Tongaat (n7051410144)
        - Fraser (n9172212431)
        - Compensation (n9150019460)
        - Umhlali (n9172212432)
        - Shakaskraal (n9150019459)
        - Tinley Manor (n9150019458)
        - Groutville (n9150019457)
        - Charlottedale (n9150019456)
        - Gledhow (n9150019455)
        - Stanger (n9150019454)

      r1994719: 
        - Stanger (n9150019454)
        - Gledhow (n9150019455)
        - Charlottedale (n9150019456)
        - Groutville (n9150019457)
        - Tinley Manor (n9150019458)
        - Shakaskraal (n9150019459)
        - Umhlali (n9172212432)
        - Compensation (n9150019460)
        - Fraser (n9172212431)
        - Tongaat (n7051410144)
        - Tongaat Central (n7051410145)
        - Flamingo Heights (n7051410147)
        - Nyaninga (n1430377452)
        - Canelands (n9150019461)
        - Verulam (n348977551)
        - Ottawa (n9150019463)
        - Mount Edgecombe (n1430377451)
        - Phoenix (n7051410152)
        - Duff's Road (n9149675759)
        - Avoca (n9172212429)
        - Red Hill (n9172212428)
        - Greenwood Park (n9172212427)
        - Briardene (n9172212426)
        - Umgeni (n348981923)
        - Durban (n348954984)


  - 
    type: train
    ref: Old Main
    name: Old Main Line
    colour: '#6e2527'
    station_count: 17
    stations: 
      - Durban
      - Berea Road
      - Dalbridge
      - Congella
      - Umbilo
      - Rossburgh
      - Sea View
      - Bellair
      - Hillary
      - Poet's Corner
      - Malvern
      - Escombe
      - Northdene
      - Moseley
      - Glen Park
      - Sarnia
      - Pinetown

    itineraries: 
      r1959553: 
        - Durban (n348954984)
        - Berea Road (n7051410154)
        - Dalbridge (n9144108254)
        - Congella (n9144076889)
        - Umbilo (n348972150)
        - Rossburgh (n9143920301)
        - Sea View (n348975783)
        - Bellair (n9143909955)
        - Hillary (n9143898637)
        - Poet's Corner (n9143895026)
        - Malvern (n9143849073)
        - Escombe (n9143835214)
        - Northdene (n9143855822)
        - Moseley (n9143849039)
        - Glen Park (n9143835096)
        - Sarnia (n9143816044)
        - Pinetown (n9143797289)

      r10646656: 
        - Pinetown (n9143797289)
        - Sarnia (n9143816044)
        - Glen Park (n9143835096)
        - Moseley (n9143849039)
        - Northdene (n9143855822)
        - Escombe (n9143835214)
        - Malvern (n9143849073)
        - Poet's Corner (n9143895026)
        - Hillary (n9143898637)
        - Bellair (n9143909955)
        - Sea View (n348975783)
        - Rossburgh (n9143920301)
        - Umbilo (n348972150)
        - Congella (n9144076889)
        - Dalbridge (n9144108254)
        - Berea Road (n7051410154)
        - Durban (n348954984)


  - 
    type: train
    ref: South Coast
    name: South Coast Line
    colour: '#0072bc'
    station_count: 28
    stations: 
      - Durban
      - Dalbridge
      - Congella
      - Umbilo
      - Rossburgh
      - Clairwood
      - Montclair
      - Merebank
      - Reunion
      - Pelgrim
      - Isipingo
      - Umbogintwini
      - Pahla
      - Amanzimtoti
      - Doonside
      - Warner Beach
      - Winkelspruit
      - Illovo Beach
      - Karridene
      - Umgababa
      - Ilfracombe
      - Umkomaas
      - Claustal
      - Renishaw
      - Scottburgh
      - Park Rynie
      - Kelso
      - Berea Road

    itineraries: 
      r1112787: 
        - Durban (n348954984)
        - Dalbridge (n9144108254)
        - Congella (n9144076889)
        - Umbilo (n348972150)
        - Rossburgh (n9143920301)
        - Clairwood (n9146778834)
        - Montclair (n9146542830)
        - Merebank (n9146542831)
        - Reunion (n9146542829)
        - Pelgrim (n9149572104)
        - Isipingo (n9149572103)
        - Umbogintwini (n9149572102)
        - Pahla (n9149572101)
        - Amanzimtoti (n9149572100)
        - Doonside (n9149572099)
        - Warner Beach (n9149572098)
        - Winkelspruit (n9149572097)
        - Illovo Beach (n9149572096)
        - Karridene (n9149572095)
        - Umgababa (n9149572094)
        - Ilfracombe (n9149572093)
        - Umkomaas (n9149572092)
        - Clansthal (n9149572091)
        - Renishaw (n9149572090)
        - Scottburgh (n9149572089)
        - Park Rynie (n9149572088)
        - Kelso (n9149572087)

      r10646253: 
        - Kelso (n9149572087)
        - Park Rynie (n9149572088)
        - Scottburgh (n9149572089)
        - Renishaw (n9149572090)
        - Clansthal (n9149572091)
        - Umkomaas (n9149572092)
        - Ilfracombe (n9149572093)
        - Umgababa (n9149572094)
        - Karridene (n9149572095)
        - Illovo Beach (n9149572096)
        - Winkelspruit (n9149572097)
        - Warner Beach (n9149572098)
        - Doonside (n9149572099)
        - Amanzimtoti (n9149572100)
        - Pahla (n9149572101)
        - Umbogintwini (n9149572102)
        - Isipingo (n9149572103)
        - Pelgrim (n9149572104)
        - Reunion (n9146542829)
        - Merebank (n9146542831)
        - Montclair (n9146542830)
        - Clairwood (n9146778834)
        - Rossburgh (n9143920301)
        - Umbilo (n348972150)
        - Congella (n9144076889)
        - Dalbridge (n9144108254)
        - Berea Road (n7051410154)
        - Durban (n348954984)


  - 
    type: train
    ref: Umlazi
    name: Umlazi Line
    colour: '#00652e'
    station_count: 13
    stations: 
      - Umlazi
      - Lindokuhle
      - kwaMnyandu
      - Zwelethu
      - Reunion
      - Merebank
      - Montclair
      - Jacobs
      - Wentworth
      - King's Rest
      - Fynnlands
      - Island View
      - Wests

    itineraries: 
      r1994512: 
        - Umlazi (n7167108456)
        - Lindokuhle (n9146542825)
        - kwaMnyandu (n9146542827)
        - Zwelethu (n9146542828)
        - Reunion (n9146542829)
        - Merebank (n9146542831)
        - Montclair (n9146542830)
        - Jacobs (n9146542832)
        - Wentworth (n9146542837)
        - King's Rest (n9174446182)
        - Fynnlands (n9146542839)
        - Island View (n9146542840)
        - Wests (n348982134)

      r10646660: 
        - Wests (n348982134)
        - Island View (n9146542840)
        - Fynnlands (n9146542839)
        - Wentworth (n9146542837)
        - Jacobs (n9146542832)
        - Montclair (n9146542830)
        - Merebank (n9146542831)
        - Reunion (n9146542829)
        - Zwelethu (n9146542828)
        - kwaMnyandu (n9146542827)
        - Lindokuhle (n9146542825)
        - Umlazi (n7167108456)


  - 
    type: train
    ref: West
    name: West Line
    colour: '#a6ce39'
    station_count: 13
    stations: 
      - Durban
      - Berea Road
      - Dalbridge
      - Congella
      - Umbilo
      - Rossburgh
      - Clairwood
      - Jacobs
      - Wentworth
      - King's Rest
      - Fynnlands
      - Island View
      - Wests

    itineraries: 
      r1994511: 
        - Durban (n348954984)
        - Berea Road (n7051410154)
        - Dalbridge (n9144108254)
        - Congella (n9144076889)
        - Umbilo (n348972150)
        - Rossburgh (n9143920301)
        - Clairwood (n9146778834)
        - Jacobs (n9146542832)
        - Wentworth (n9146542837)
        - King's Rest (n9174446182)
        - Fynnlands (n9146542839)
        - Island View (n9146542840)
        - Wests (n348982134)

      r10646659: 
        - Wests (n348982134)
        - Island View (n9146542840)
        - Fynnlands (n9146542839)
        - Wentworth (n9146542837)
        - Jacobs (n9146542832)
        - Clairwood (n9146778834)
        - Rossburgh (n9143920301)
        - Umbilo (n348972150)
        - Congella (n9144076889)
        - Dalbridge (n9144108254)
        - Berea Road (n7051410154)
        - Durban (n348954984)


  - 
    type: train
    ref: kwaMashu
    name: kwaMashu Line
    colour: '#ee1d23'
    station_count: 22
    stations: 
      - kwaMashu
      - Tembalihle
      - Duff's Road
      - Effingham
      - Kenville
      - Temple
      - Umgeni
      - Moses Mabhida
      - Durban
      - Berea Road
      - Dalbridge
      - Congella
      - Umbilo
      - Rossburgh
      - Clairwood
      - Montclair
      - Merebank
      - Reunion
      - Zwelethu
      - kwaMnyandu
      - Lindokuhle
      - Umlazi

    itineraries: 
      r1967061: 
        - kwaMashu (n9149675762)
        - Tembalihle (n9149675761)
        - Duff's Road (n9149675759)
        - Effingham (n9149675758)
        - Kenville (n9149675756)
        - Temple (n9149675754)
        - Umgeni (n348981923)
        - Moses Mabhida (n4330986570)
        - Durban (n348954984)
        - Berea Road (n7051410154)
        - Dalbridge (n9144108254)
        - Congella (n9144076889)
        - Umbilo (n348972150)
        - Rossburgh (n9143920301)
        - Clairwood (n9146778834)
        - Montclair (n9146542830)
        - Merebank (n9146542831)
        - Reunion (n9146542829)
        - Zwelethu (n9146542828)
        - kwaMnyandu (n9146542827)
        - Lindokuhle (n9146542825)
        - Umlazi (n7167108456)

      r10646664: 
        - Umlazi (n7167108456)
        - Lindokuhle (n9146542825)
        - kwaMnyandu (n9146542827)
        - Zwelethu (n9146542828)
        - Reunion (n9146542829)
        - Merebank (n9146542831)
        - Montclair (n9146542830)
        - Clairwood (n9146778834)
        - Rossburgh (n9143920301)
        - Congella (n9144076889)
        - Berea Road (n7051410154)
        - Durban (n348954984)
        - Moses Mabhida (n4330986570)
        - Umgeni (n348981923)
        - Temple (n9149675754)
        - Kenville (n9149675756)
        - Effingham (n9149675758)
        - Duff's Road (n9149675759)
        - Tembalihle (n9149675761)
        - kwaMashu (n9149675762)



